/*
 * Startup Code for ARM
 *
 * Assembler file for FIQ.
 * this _must_ be adapted if the FIQ should be used
 * effectivley. Thus the current handler does _nothing_.
 *
 * by: Clemens Helfmeier
 * ClemensHelfmeier {at] gmx `dot" de
 * (replace the corresponding at and dot in the email, please).
 */



.text
	.func FIQ_Handler
	.global FIQ_Handler
FIQ_Handler:
	/* handle the Fast Interrupt Request
	 * Registers 0..7 are used by the Application
	 * Registers 8..12 are usable,
	 * Register 13 is the FIQ-Stack pointer
	 * Register 14 contains the return address
	 *
	 * TODO:
	 *   Acknowledge the Interrupt
	 *   save registers that will be used (0..7,14)
	 *   do whatever the interrupt handler should do
	 */

	/* return from FIQ-Handler */
	sub	lr, lr, #4
	movs	pc, lr

.size FIQ_Handler, . - FIQ_Handler
.endfunc
